# Generated by Django 4.2.3 on 2023-07-21 10:51

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('geospatial', '0003_alter_repairworks_address_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='RefCategory',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('name_kz', models.TextField(verbose_name='Название на казахском')),
                ('name_ru', models.TextField(verbose_name='Название на русском')),
                ('desc_name_kz', models.TextField(verbose_name='Описание на казахском')),
                ('desc_name_ru', models.TextField(verbose_name='Описание на русском')),
            ],
            options={
                'db_table': 'ref_category',
            },
        ),
        migrations.CreateModel(
            name='RefCategorySubs',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('icon', models.TextField(verbose_name='Иконка')),
                ('image', models.TextField(verbose_name='Картинка')),
                ('category_old', models.TextField()),
                ('cat_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='category_subs', to='geospatial.refcategory', verbose_name='Категория')),
                ('sub_cat_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='sub_category_subs', to='geospatial.refcategory', verbose_name='Под категория')),
            ],
            options={
                'db_table': 'ref_category_subs',
            },
        ),
    ]
